---
title: "Add multiple companies to a watchlist"
description: "Adds up to 10 000 companies in one request. Companies already in the watchlist are left as they were and listed in alreadyMembers; IDs of no company are not added and listed in notFound."
url: https://docs.tic.io/api-lens/watchlist/add-multiple-companies-to-a-watchlist
lastmod: 2026-11-14T08:10:33.000Z
---

# Add multiple companies to a watchlist

Adds up to 10 000 companies in one request. Companies already in the watchlist are left as they were and listed in alreadyMembers; IDs of no company are not added and listed in notFound.

```http
POST https://lens-api.tic.io/watchlists/{id}/companies/batch
```

Adds up to 10 000 companies in one request. Companies already in the watchlist are left as they were and listed in `alreadyMembers`; IDs of no company are not added and listed in `notFound`.

**Requires:** Pro+ tier

**Authentication:** API key in the `x-api-key` header.

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `id` | path | string | yes | Watchlist GUID |

## Request body (application/json)

```json
{
  "companyIds": [
    123
  ]
}
```

## Responses

### 200

What was done with each ID

```json
{
  "added": [
    {
      "watchListMemberGuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "companyId": 123,
      "personId": 123
    }
  ],
  "alreadyMembers": [
    123
  ],
  "notFound": [
    123
  ]
}
```

### 400

No companyIds, or more than 10 000

### 404

Watchlist not found in this team
